INSTALL-INFO(1) | User Commands | INSTALL-INFO(1)

# NAME

install-info - update info/dir entries

# SYNOPSIS

install-info [OPTION]... [INFO-FILE [DIR-FILE]]

# DESCRIPTION

Install or delete dir entries from INFO-FILE in the Info directory file DIR-FILE.

# OPTIONS

--delete
  delete existing entries for INFO-FILE from DIR-FILE; don't insert any new entries.
--dir-file=NAME
  specify file name of Info directory file. This is equivalent to using the DIR-FILE argument.
--entry=TEXT
  insert TEXT as an Info directory entry. TEXT should have the form of an Info menu item line plus zero or more extra lines starting with whitespace. If you specify more than one entry, they are all added. If you don't specify any entries, they are determined from information in the Info file itself.
--help
  display this help and exit.
--info-file=FILE
  specify Info file to install in the directory. This is equivalent to using the INFO-FILE argument.
--info-dir=DIR
  same as --dir-file=DIR/dir.
--item=TEXT
  same as --entry TEXT. An Info directory entry is actually a menu item.
--quiet
  suppress warnings.
--remove
  same as --delete.
--section=SEC
  put this file's entries in section SEC of the directory. If you specify more than one section, all the entries are added in each of the sections. If you don't specify any sections, they are determined from information in the Info file itself.
--version
  display version information and exit.

# REPORTING BUGS

Email bug reports to bug-texinfo@gnu.org, general questions and discussion to help-texinfo@gnu.org. Texinfo home page: http://www.gnu.org/software/texinfo/

# COPYRIGHT

Copyright © 2004 Free Software Foundation, Inc. There is NO warranty. You may redistribute this software under the terms of the GNU General Public License. For more information about these matters, see the files named COPYING.

# SEE ALSO

The full documentation for install-info is maintained as a Texinfo manual. If the info and install-info programs are properly installed at your site, the command

  info install-info

should give you access to the complete manual.

December 2004 | install-info 4.8